\documentclass[a4paper]{scrartcl}
\usepackage{graphicx}
\usepackage{subcaption}
\usepackage{listings}
\usepackage{xcolor}

\definecolor{mygreen}{rgb}{0,0.6,0}
\definecolor{mygray}{rgb}{0.5,0.5,0.5}
\definecolor{mymauve}{rgb}{0.58,0,0.82}

\lstset{ 
  backgroundcolor=\color{white},   % choose the background color
  basicstyle=\footnotesize\ttfamily,        % the size of the fonts that are used for the code
  breakatwhitespace=false,         % sets if automatic breaks should ony happen at whitespace
  breaklines=true,                 % sets automatic line breaking
  captionpos=b,                    % sets the caption-position to bottom
  columns=flexible,
  commentstyle=\color{blue},    % comment style
  deletekeywords={...},            % if you want to delete keywords from the given language
  emph={int,char,double,float,unsigned,void,bool},
  emphstyle={\color{blue}},
  escapeinside={\%*}{*)},          % if you want to add LaTeX within your code
  extendedchars=true,              % lets you use non-ASCII characters;
                                   % for 8-bits encodings only, does not work with UTF-8
  firstnumber=1000,                % start line enumeration with line 1000
  frame=single,                    % adds a frame around the code
  keepspaces=true,                 % keeps spaces in text, useful for keeping indentation of code (possibly needs
                                   % columns=flexible)
  keywordstyle=\color{purple},     % keyword style
  language=Python,                 % the language of the code
  numbers=none,                    % where to put the line-numbers; possible values are (none,
                                   % left, right)
  numbersep=5pt,                   % how far the line-numbers are from the code
  numberstyle=\tiny\color{black},  % the style that is used for the line-numbers
  rulecolor=\color{black},         % if not set, the frame-color may be changed on
                                   % line-breaks within not-black text (e.g. comments (green here))
  showspaces=false,                % show spaces everywhere adding particular
                                   % underscores; it overrides 'showstringspaces'
  showstringspaces=false,          % underline spaces within strings only
  showtabs=false,                  % show tabs within strings adding particular underscores
  stepnumber=2,                    % the step between two line-numbers. If it's 1, each line will be numbered
  stringstyle=\color{red},         % string literal style
  tabsize=2,                       % sets default tabsize to 2 spaces
  title=\lstname                   % show the filename of files included with \lstinputlisting; also try
                                   % caption instead of title
}

\begin{document}
\section{02.03.2019}
Took fotos of Timber Logs in RAW format.
\begin{figure}[h]
  \centering
  \begin{subfigure}[b]{0.3\linewidth}
    \includegraphics[width=\linewidth]{20190302_1}
    \caption{Timber Log 1}
    \label{fig:Timber_Log_1}
  \end{subfigure}
  \begin{subfigure}[b]{0.3\linewidth}
    \includegraphics[width=\linewidth]{20190302_2}
    \caption{Timber Log 2}
    \label{fig:Timber_Log_2}
  \end{subfigure}
  \begin{subfigure}[b]{0.3\linewidth}
    \includegraphics[width=\linewidth]{20190302_3}
    \caption{Timber Log 3}
    \label{fig:Timber_Log_3}
  \end{subfigure}
  \begin{subfigure}[b]{0.3\linewidth}
    \includegraphics[width=\linewidth]{20190302_4}
    \caption{Timber Log 4}
    \label{fig:Timber_Log_4}
  \end{subfigure}
  \begin{subfigure}[b]{0.3\linewidth}
    \includegraphics[width=\linewidth]{20190302_5}
    \caption{Timber Log 5}
    \label{fig:Timber_Log_5}
  \end{subfigure}
  \begin{subfigure}[b]{0.3\linewidth}
    \includegraphics[width=\linewidth]{20190302_6}
    \caption{Timber Log 6}
    \label{fig:Timber_Log_6}
  \end{subfigure}
  \begin{subfigure}[b]{0.3\linewidth}
    \includegraphics[width=\linewidth]{20190302_7}
    \caption{Timber Log 7}
    \label{fig:Timber_Log_7}
  \end{subfigure}
  \begin{subfigure}[b]{0.3\linewidth}
    \includegraphics[width=\linewidth]{20190302_8}
    \caption{Timber Log 8}
    \label{fig:Timber_Log_8}
  \end{subfigure}
  \begin{subfigure}[b]{0.3\linewidth}
    \includegraphics[width=\linewidth]{20190302_9}
    \caption{Timber Log 9}
    \label{fig:Timber_Log_9}
  \end{subfigure}
  \begin{subfigure}[b]{0.5\linewidth}
    \includegraphics[width=\linewidth]{20190302_10}
    \caption{Timber Log 10}
    \label{fig:Timber_Log_10}
  \end{subfigure}
\end{figure}
\section{04.03.2019}
Adabted the ReadFile Code to import raw graphics.
\begin{lstlisting}
import rawpy
  with rawpy.imread(name) as raw:
    rgb = raw.postprocess()
  image = cv2.cvtColor(rgb, cv2.COLOR_RGB2BGR)
\end{lstlisting}
\section{07.03.2019}

\end{document}

